Index: /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp
===================================================================
--- /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp	(revision 1492)
+++ /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp	(revision 1493)
@@ -1,8 +1,8 @@
-V 171
+V 173
 p 400
 U authadmin
 D 07Jan2019[14:34]
-M nobody
-d 04Jul2019[13:20]
+M ${USER.NAME}
+d 05Dec2019[12:03]
 B 100 100 39 100
 Z
@@ -70,5 +70,5 @@
 K 0 0 0 100
 P 350 287
-T bln4
+T Bryce
 x F
 D txtUsername
@@ -272,32 +272,62 @@
 Z
 
-ActiveTime:4333414:09:21
-DarkTime:-4333102:-15:-17
-20:36:610 124 250 kSHIFT
-20:36:873 124 250 kT
-20:37:090 135 250 kO
-20:37:217 144 250 kG
-20:37:369 153 250 kG
-20:37:490 162 250 kL
-20:37:570 167 250 kE
-20:37:745 175 250 kSHIFT
-20:37:801 175 250 kA
-20:38:001 188 250 kU
-20:38:105 196 250 kT
-20:38:209 202 250 kH
-20:38:377 211 250 kCTRL
-20:38:569 211 250 kA
-20:39:362 211 250 Ld
-20:39:489 211 250 Lu
-20:40:386 462 393 Ld
-20:40:497 462 393 Rd
-20:40:681 462 393 Ru
-20:40:690 462 393 Lu
-20:43:657 254 204 Md
-20:43:889 254 204 Rd
-20:44:537 254 204 Ru
-20:44:538 254 204 Mu
-20:45:161 174 239 Md
-20:45:201 174 239 Rd
-20:45:409 174 239 Ru
-20:45:449 174 239 Mu
+ActiveTime:5208692:16:40
+DarkTime:-5208068:-22:-36
+03:47:486 767 275 kSHIFT
+03:47:985 767 275 kSHIFT
+03:48:018 767 275 kSHIFT
+03:48:051 767 275 kSHIFT
+03:48:084 767 275 kSHIFT
+03:48:117 767 275 kSHIFT
+03:48:150 767 275 kSHIFT
+03:48:183 767 275 kSHIFT
+03:48:216 767 275 kSHIFT
+03:48:249 767 275 kSHIFT
+03:48:282 767 275 kSHIFT
+03:48:317 767 275 kSHIFT
+03:48:350 767 275 kSHIFT
+03:48:381 767 275 kSHIFT
+03:48:417 767 275 kSHIFT
+03:48:449 767 275 kSHIFT
+03:48:483 767 275 kSHIFT
+03:48:513 767 275 kSHIFT
+03:48:546 767 275 kSHIFT
+03:48:579 767 275 kSHIFT
+03:48:612 767 275 kSHIFT
+03:48:646 767 275 kSHIFT
+03:48:679 767 275 kSHIFT
+03:48:712 767 275 kSHIFT
+03:48:745 767 275 kSHIFT
+03:48:778 767 275 kSHIFT
+03:48:811 767 275 kSHIFT
+03:48:844 767 275 kSHIFT
+03:48:877 767 275 kSHIFT
+03:48:910 767 275 kSHIFT
+03:48:926 767 275 kT
+03:49:157 778 275 kO
+03:49:349 787 275 kG
+03:49:478 796 275 kG
+03:49:583 804 275 kL
+03:49:685 810 275 kE
+03:49:829 818 275 kSHIFT
+03:49:901 818 275 kA
+03:50:053 831 275 kU
+03:50:213 840 275 kT
+03:50:294 845 275 kH
+03:50:597 853 275 kCTRL
+03:50:837 853 275 kA
+03:52:024 801 268 Ld
+03:52:118 801 268 Lu
+03:54:521 360 276 Ld
+03:54:695 360 276 Rd
+03:54:845 360 276 Lu
+03:54:846 360 276 Ru
+03:58:033 270 273 Md
+03:58:159 270 273 Rd
+03:59:453 270 273 Ru
+03:59:485 270 273 Mu
+04:06:199 799 259 Md
+04:06:256 799 259 Rd
+04:06:405 799 259 Ru
+04:06:422 799 259 Mu
+04:07:789 772 296 kRIGHT_ARROW
Index: /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/10.exp
===================================================================
--- /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/10.exp	(revision 1492)
+++ /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/10.exp	(revision 1493)
@@ -1,7 +1,7 @@
-V 178
+V 179
 U authadmin
 D 07Jan2019[14:34]
-M nobody
-d 23May2019[14:24]
+M authadmin
+d 05Dec2019[12:10]
 B 100 100 39 100
 Z
@@ -18,5 +18,6 @@
 m 0.0
 h 0.0
-p 40
+p 400
+_sl F
 
 S T 37
@@ -32,5 +33,6 @@
 m 0.0
 h -1.0
-p 40
+p 400
+_sl F
 
 S T 38
@@ -46,10 +48,11 @@
 m 0.0
 h -1.0
-p 40
+p 400
+_sl F
 
 S T 77
 s 15Jan2019[10:01.24]
 d 0 0 0 100
-P 273 229
+P 273 226
 T With a registered email address, you are now able to generate a new password via the 'Forgot My Password' functionality.  However, with a new password, comes a new encryption key, meaning that any previously encrypted content (such as your profile frames) will remain unreadable.  This is the price we pay for security.
 o authadmin
@@ -61,5 +64,6 @@
 w 700
 h -1.0
-p 40
+p 400
+_sl F
 
 S P 41
@@ -94,5 +98,6 @@
 w 700
 h -1.0
-p 40
+p 400
+_sl F
 
 S T 162
@@ -114,5 +119,6 @@
 M 300
 h 1.0
-p 41
+p 411
+_sl F
 
 S T 166
@@ -134,5 +140,6 @@
 M 300
 h 1.0
-p 41
+p 411
+_sl F
 
 Z
@@ -142,5 +149,43 @@
 Z
 
-ActiveTime:00:32:07
+ActiveTime:00:32:08
 DarkTime:00:39:09
-24:29:237 130 587 kLEFT_ARROW
+10:22:490 372 2 Md
+10:22:608 372 2 Mu
+10:23:554 86 0 Md
+10:23:681 86 0 Mu
+10:25:882 355 237 Md
+10:25:976 355 237 Mu
+10:28:826 355 234 Md
+10:29:161 355 234 Mu
+10:30:914 66 336 kSHIFT
+10:31:178 66 336 kT
+10:31:409 77 336 kO
+10:31:641 86 336 kG
+10:31:745 95 336 kG
+10:31:840 104 336 kL
+10:31:953 109 336 kE
+10:32:114 117 336 kSHIFT
+10:32:193 117 336 kA
+10:32:394 130 336 kU
+10:32:489 139 336 kT
+10:32:561 144 336 kH
+10:32:914 153 336 kCTRL
+10:33:146 153 336 kA
+10:34:633 92 330 Ld
+10:34:736 92 330 Lu
+10:35:722 94 332 Md
+10:35:762 94 332 Rd
+10:35:865 94 332 Ru
+10:35:881 94 332 Mu
+10:38:810 48 5 kDELETE
+10:41:746 347 3 Ld
+10:41:882 347 3 Rd
+10:42:033 347 3 Lu
+10:42:040 347 3 Ru
+10:46:914 167 87 Md
+10:47:081 167 87 Rd
+10:50:017 167 87 Ru
+10:50:113 167 87 Mu
+10:52:113 163 172 Ld
+10:52:193 163 172 Lu
Index: /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp
===================================================================
--- /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp	(revision 1492)
+++ /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp	(revision 1493)
@@ -1,8 +1,8 @@
-V 302
+V 305
 p 400
 U authadmin
 D 07Dec2018[12:19]
-M nobody
-d 04Jul2019[13:20]
+M authadmin
+d 05Dec2019[12:07]
 B 100 100 39 100
 Z
@@ -134,4 +134,5 @@
 p 444
 _ph Password
+_sl F
 _ti 2
 
@@ -159,4 +160,5 @@
 p 444
 _ph Password Again
+_sl F
 _ti 3
 
@@ -166,5 +168,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 515 407
+P 515 401
 T 
 x F
@@ -174,5 +176,5 @@
 n F
 v S
-f Amaranth_r28
+f Amaranth_r22
 t -1.0
 b 0.0
@@ -183,4 +185,5 @@
 p 444
 _ph Email Again
+_sl F
 _ti 5
 
@@ -190,5 +193,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 175 407
+P 175 401
 T 
 x F
@@ -198,5 +201,5 @@
 n F
 v S
-f Amaranth_r28
+f Amaranth_r22
 t -1.0
 b 0.0
@@ -207,4 +210,5 @@
 p 444
 _ph Email
+_sl F
 _ti 4
 
@@ -370,5 +374,5 @@
 s 21May2019[14:00.53]
 d 0 0 0 50
-P 539 555
+P 518 555
 T ?
 F 3
@@ -404,5 +408,5 @@
 s 21May2019[14:00.53]
 d 0 0 0 50
-P 518 569
+P 524 567
 T 
 F 3
@@ -521,54 +525,13 @@
 Z
 
-ActiveTime:01:25:44
+ActiveTime:01:26:38
 DarkTime:01:32:58
-20:55:434 79 398 kSHIFT
-20:55:722 79 398 kT
-20:55:898 90 398 kO
-20:56:050 99 398 kG
-20:56:194 108 398 kG
-20:56:251 117 398 kL
-20:56:338 122 398 kE
-20:56:498 130 398 kSHIFT
-20:56:593 130 398 kA
-20:56:738 143 398 kU
-20:56:890 152 398 kT
-20:56:961 156 398 kH
-20:57:194 166 398 kCTRL
-20:57:394 166 398 kA
-20:58:462 102 384 Ld
-20:58:618 102 384 Lu
-20:59:346 103 401 Md
-20:59:434 103 401 Rd
-20:59:578 103 401 Ru
-20:59:602 103 401 Mu
-21:01:922 69 473 kSHIFT
-21:02:308 69 473 kE
-21:02:899 80 473 kN
-21:03:076 89 473 kT
-21:03:193 94 473 kE
-21:03:284 102 473 kR
-21:03:436 108 473 kSHIFT
-21:03:559 108 473 kC
-21:03:724 120 473 kL
-21:03:893 125 473 kI
-21:04:009 130 473 kC
-21:04:090 138 473 kK
-21:04:201 147 473 kSHIFT
-21:05:236 156 473 kT
-21:05:922 161 473 kR
-21:06:097 167 473 kU
-21:06:162 176 473 kE
-21:07:404 183 473 Md
-21:07:514 183 473 Mu
-21:08:149 431 452 Md
-21:08:274 431 452 Mu
-21:11:572 138 467 kCTRL
-21:12:071 138 467 kCTRL
-21:12:102 138 467 kCTRL
-21:12:135 138 467 kCTRL
-21:12:169 138 467 kCTRL
-21:12:203 138 467 kCTRL
-21:12:235 138 467 kCTRL
-21:12:269 138 467 kCTRL
-21:12:275 138 467 kS
+08:23:499 527 397 Ld
+08:23:553 527 397 Rd
+08:23:704 527 397 Ru
+08:23:728 527 397 Lu
+08:27:091 788 214 Md
+08:27:195 788 214 Rd
+08:27:768 788 214 Ru
+08:27:776 788 214 Mu
+08:29:530 915 358 kRIGHT_ARROW
Index: /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/4.exp
===================================================================
--- /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/4.exp	(revision 1492)
+++ /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/4.exp	(revision 1493)
@@ -1,8 +1,8 @@
-V 232
+V 234
 p 400
 U authadmin
 D 07Jan2019[14:34]
-M nobody
-d 04Jul2019[13:23]
+M authadmin
+d 05Dec2019[12:08]
 B 100 100 39 100
 Z
@@ -133,4 +133,29 @@
 h 2.0
 
+S T 515
+s 06May2019[11:02.37]
+d 0 0 0 100
+G 100 100 0 100
+K 0 0 0 100
+P 574 267
+T  Submit Identity Number
+X AuthSubmitIntergalacticNumber
+x F
+N 240
+o authadmin
+n F
+v S
+f dr27
+t -1.0
+b 0.0
+m 0.0
+w 300
+M 300
+h 1.0
+p 411
+_sl F
+_ti 4
+_ae true
+
 S T 416
 s 29Apr2019[15:43.03]
@@ -144,5 +169,5 @@
 o authadmin
 v S
-f Amaranth_r29
+f Amaranth_r22
 t -1.0
 b 0.0
@@ -154,29 +179,4 @@
 _sl F
 _ti 3
-
-S T 515
-s 06May2019[11:02.37]
-d 0 0 0 100
-G 100 100 0 100
-K 0 0 0 100
-P 574 269
-T Submit Identity Number
-X AuthSubmitIntergalacticNumber
-x F
-N 240
-o authadmin
-n F
-v S
-f dr29
-t -1.0
-b 0.0
-m 0.0
-w 300
-M 300
-h 1.0
-p 411
-_sl F
-_ti 4
-_ae true
 
 S P 382
@@ -215,5 +215,5 @@
 o authadmin
 v S
-f Amaranth_r29
+f Amaranth_r22
 t -1.0
 b 0.0
@@ -238,5 +238,5 @@
 o authadmin
 v S
-f Amaranth_r29
+f Amaranth_r22
 t -1.0
 b 0.0
@@ -599,40 +599,72 @@
 Z
 
-ActiveTime:01:38:25
+ActiveTime:01:38:48
 DarkTime:02:33:57
-23:59:891 1076 133 kSHIFT
-24:00:098 1076 133 kT
-24:00:530 1087 133 kO
-24:00:739 1096 133 kG
-24:00:868 1105 133 kG
-24:00:971 1114 133 kL
-24:01:059 1119 133 kE
-24:01:203 1127 133 kSHIFT
-24:01:267 1127 133 kA
-24:01:452 1140 133 kU
-24:01:516 1149 133 kT
-24:01:661 1154 133 kH
-24:01:787 1163 133 kCTRL
-24:01:956 1163 133 kA
-24:02:797 1163 133 Ld
-24:02:891 1163 133 Lu
-24:03:467 747 207 Ld
-24:03:540 747 207 Rd
-24:03:643 747 207 Ru
-24:03:659 747 207 Lu
-24:04:533 1049 204 Md
-24:04:555 1049 204 Rd
-24:04:691 1049 204 Mu
-24:04:698 1049 204 Ru
-24:05:310 731 267 Ld
-24:05:362 731 267 Rd
-24:05:476 732 268 Lu
-24:05:477 732 268 Ru
-24:06:052 1306 239 Md
-24:06:076 1306 239 Rd
-24:06:220 1305 239 Mu
-24:06:236 1303 238 Ru
-24:06:662 1075 125 Md
-24:06:685 1075 125 Rd
-24:06:787 1075 125 Ru
-24:06:803 1075 125 Mu
+08:30:994 914 461 kSHIFT
+08:31:099 914 461 kS
+08:31:258 924 461 kI
+08:31:449 929 461 kE
+08:32:050 937 461 kBACKSPACE
+08:32:121 929 461 kZ
+08:32:230 937 461 kE
+08:32:392 945 461 kSHIFT
+08:34:369 972 461 Md
+08:34:464 972 461 Mu
+08:35:848 551 337 Rd
+08:35:976 551 337 Ru
+08:36:763 411 337 Rd
+08:36:832 411 337 Ru
+08:38:238 903 497 Md
+08:38:265 903 497 Rd
+08:38:424 903 497 Ru
+08:38:425 903 497 Mu
+08:39:514 776 489 kSHIFT
+08:39:626 776 489 kS
+08:39:842 786 489 kI
+08:39:904 791 489 kZ
+08:40:002 798 489 kE
+08:40:178 806 489 kSHIFT
+08:42:331 834 489 Md
+08:42:480 834 489 Mu
+08:43:608 255 348 Rd
+08:43:696 255 348 Ru
+08:50:290 45 524 kCTRL
+08:50:798 45 524 kCTRL
+08:50:826 45 524 kCTRL
+08:50:857 45 524 kCTRL
+08:50:887 45 524 kCTRL
+08:50:920 45 524 kCTRL
+08:50:954 45 524 kCTRL
+08:50:986 45 524 kCTRL
+08:51:030 45 524 kCTRL
+08:51:061 45 524 kCTRL
+08:51:092 45 524 kCTRL
+08:51:122 45 524 kCTRL
+08:51:151 45 524 kCTRL
+08:51:184 45 524 kCTRL
+08:51:224 45 524 kCTRL
+08:51:251 45 524 kCTRL
+08:51:297 45 524 kCTRL
+08:51:316 45 524 kCTRL
+08:51:358 45 524 kCTRL
+08:51:382 45 524 kCTRL
+08:51:415 45 524 kCTRL
+08:51:448 45 524 kCTRL
+08:51:484 45 524 kCTRL
+08:51:514 45 524 kCTRL
+08:51:561 45 524 kCTRL
+08:51:592 45 524 kCTRL
+08:51:623 45 524 kCTRL
+08:51:646 45 524 kCTRL
+08:51:679 45 524 kCTRL
+08:53:050 45 524 kSHIFT
+08:53:259 45 524 kS
+08:53:651 55 524 kI
+08:53:731 60 524 kZ
+08:53:834 68 524 kE
+08:53:978 76 524 kSHIFT
+08:56:052 103 524 Md
+08:56:200 103 524 Mu
+08:56:864 245 264 Rd
+08:56:936 245 264 Ru
+10:09:586 146 563 kRIGHT_ARROW