Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp	(revision 1495)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp	(revision 1496)
@@ -1,8 +1,8 @@
-V 173
+V 174
 p 400
 U authadmin
 D 07Jan2019[14:34]
-M ${USER.NAME}
-d 05Dec2019[12:03]
+M authadmin
+d 05Dec2019[16:30]
 B 100 100 39 100
 Z
@@ -76,5 +76,5 @@
 n F
 v S
-f Amaranth_r28
+f Amaranth_r22
 t -1.0
 b 0.0
@@ -99,5 +99,5 @@
 n F
 v S
-f Amaranth_r28
+f Amaranth_r22
 t -1.0
 O 42
@@ -272,62 +272,17 @@
 Z
 
-ActiveTime:5208692:16:40
-DarkTime:-5208068:-22:-36
-03:47:486 767 275 kSHIFT
-03:47:985 767 275 kSHIFT
-03:48:018 767 275 kSHIFT
-03:48:051 767 275 kSHIFT
-03:48:084 767 275 kSHIFT
-03:48:117 767 275 kSHIFT
-03:48:150 767 275 kSHIFT
-03:48:183 767 275 kSHIFT
-03:48:216 767 275 kSHIFT
-03:48:249 767 275 kSHIFT
-03:48:282 767 275 kSHIFT
-03:48:317 767 275 kSHIFT
-03:48:350 767 275 kSHIFT
-03:48:381 767 275 kSHIFT
-03:48:417 767 275 kSHIFT
-03:48:449 767 275 kSHIFT
-03:48:483 767 275 kSHIFT
-03:48:513 767 275 kSHIFT
-03:48:546 767 275 kSHIFT
-03:48:579 767 275 kSHIFT
-03:48:612 767 275 kSHIFT
-03:48:646 767 275 kSHIFT
-03:48:679 767 275 kSHIFT
-03:48:712 767 275 kSHIFT
-03:48:745 767 275 kSHIFT
-03:48:778 767 275 kSHIFT
-03:48:811 767 275 kSHIFT
-03:48:844 767 275 kSHIFT
-03:48:877 767 275 kSHIFT
-03:48:910 767 275 kSHIFT
-03:48:926 767 275 kT
-03:49:157 778 275 kO
-03:49:349 787 275 kG
-03:49:478 796 275 kG
-03:49:583 804 275 kL
-03:49:685 810 275 kE
-03:49:829 818 275 kSHIFT
-03:49:901 818 275 kA
-03:50:053 831 275 kU
-03:50:213 840 275 kT
-03:50:294 845 275 kH
-03:50:597 853 275 kCTRL
-03:50:837 853 275 kA
-03:52:024 801 268 Ld
-03:52:118 801 268 Lu
-03:54:521 360 276 Ld
-03:54:695 360 276 Rd
-03:54:845 360 276 Lu
-03:54:846 360 276 Ru
-03:58:033 270 273 Md
-03:58:159 270 273 Rd
-03:59:453 270 273 Ru
-03:59:485 270 273 Mu
-04:06:199 799 259 Md
-04:06:256 799 259 Rd
-04:06:405 799 259 Ru
-04:06:422 799 259 Mu
-04:07:789 772 296 kRIGHT_ARROW
+ActiveTime:5208691:17:01
+DarkTime:-5207756:-22:-36
+30:40:128 875 299 Rd
+30:40:231 875 299 Ru
+30:41:779 854 302 Rd
+30:41:857 852 302 Ru
+30:58:750 388 283 Rd
+30:58:813 388 283 Ru
+31:00:138 869 299 Rd
+31:00:231 869 299 Ru
+31:01:549 382 334 Rd
+31:01:642 382 334 Ru
+31:04:348 881 299 Md
+31:04:442 881 299 Mu
+31:05:727 861 427 kRIGHT_ARROW
Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp	(revision 1495)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp	(revision 1496)
@@ -1,8 +1,8 @@
-V 305
+V 307
 p 400
 U authadmin
 D 07Dec2018[12:19]
-M authadmin
-d 05Dec2019[12:07]
+M ${USER.NAME}
+d 05Dec2019[16:29]
 B 100 100 39 100
 Z
@@ -100,5 +100,5 @@
 n F
 v S
-f Amaranth_r28
+f Amaranth_r22
 t -1.0
 b 0.0
@@ -116,5 +116,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 175 347
+P 175 341
 T 
 x F
@@ -124,5 +124,5 @@
 n F
 v S
-f Amaranth_r28
+f Amaranth_r22
 t -1.0
 O 42
@@ -142,5 +142,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 515 347
+P 515 341
 T 
 x F
@@ -150,5 +150,5 @@
 n F
 v S
-f Amaranth_r28
+f Amaranth_r22
 t -1.0
 O 42
@@ -525,13 +525,31 @@
 Z
 
-ActiveTime:01:26:38
+ActiveTime:01:26:49
 DarkTime:01:32:58
-08:23:499 527 397 Ld
-08:23:553 527 397 Rd
-08:23:704 527 397 Ru
-08:23:728 527 397 Lu
-08:27:091 788 214 Md
-08:27:195 788 214 Rd
-08:27:768 788 214 Ru
-08:27:776 788 214 Mu
-08:29:530 915 358 kRIGHT_ARROW
+29:58:504 868 391 kSHIFT
+29:58:696 868 391 kT
+29:58:869 879 391 kO
+29:58:990 888 391 kG
+29:59:146 897 391 kG
+29:59:224 905 391 kL
+29:59:349 910 391 kE
+29:59:522 919 391 kSHIFT
+29:59:616 919 391 kA
+29:59:838 932 391 kU
+29:59:948 941 391 kT
+30:00:023 946 391 kH
+30:00:289 955 391 kCTRL
+30:00:461 955 391 kA
+30:01:604 888 377 Ld
+30:01:682 888 377 Lu
+30:02:682 899 389 Md
+30:02:714 899 389 Rd
+30:02:870 899 389 Ru
+30:02:886 899 389 Mu
+30:06:753 750 224 Md
+30:06:893 750 224 Mu
+30:09:866 285 279 Md
+30:09:944 285 279 Mu
+30:14:343 563 231 Md
+30:14:427 563 231 Mu
+30:18:134 948 266 kLEFT_ARROW
Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/3.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/3.exp	(revision 1495)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/3.exp	(revision 1496)
@@ -1,8 +1,8 @@
-V 102
+V 106
 p 400
 U authadmin
 D 07Jan2019[14:34]
-M nobody
-d 04Jul2019[13:22]
+M authadmin
+d 05Dec2019[16:39]
 B 100 100 39 100
 Z
@@ -91,5 +91,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 175 288
+P 175 281
 T 
 D txtPassword
@@ -97,5 +97,5 @@
 o authadmin
 v S
-f Amaranth_r29
+f Amaranth_r22
 t -1.0
 O 42
@@ -114,5 +114,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 175 348
+P 175 341
 T 
 D txtNewPassword
@@ -120,5 +120,5 @@
 o authadmin
 v S
-f Amaranth_r29
+f Amaranth_r22
 t -1.0
 O 42
@@ -138,5 +138,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 515 348
+P 515 341
 T 
 D txtNewPasswordAgain
@@ -144,5 +144,5 @@
 o authadmin
 v S
-f Amaranth_r29
+f Amaranth_r22
 t -1.0
 O 42
@@ -304,46 +304,9 @@
 Z
 
-ActiveTime:00:16:33
-DarkTime:00:20:25
-22:46:330 32 445 kSHIFT
-22:46:490 32 445 kT
-22:46:722 43 445 kO
-22:46:890 52 445 kG
-22:47:034 61 445 kG
-22:47:122 70 445 kL
-22:47:211 75 445 kE
-22:47:362 83 445 kSHIFT
-22:47:450 83 445 kA
-22:47:634 96 445 kU
-22:47:730 105 445 kT
-22:47:850 110 445 kH
-22:48:026 119 445 kCTRL
-22:48:267 119 445 kA
-22:49:554 97 439 Ld
-22:49:690 97 439 Lu
-22:50:922 76 541 kSHIFT
-22:51:114 76 541 kE
-22:51:266 87 541 kN
-22:51:394 96 541 kT
-22:51:498 101 541 kE
-22:51:594 109 541 kR
-22:51:730 115 541 kSHIFT
-22:51:866 115 541 kC
-22:52:090 127 541 kL
-22:52:250 132 541 kI
-22:52:370 137 541 kC
-22:52:458 145 541 kK
-22:52:594 154 541 kSHIFT
-22:53:082 163 541 kT
-22:53:242 168 541 kR
-22:53:323 174 541 kU
-22:53:426 182 541 kE
-22:54:490 191 541 Md
-22:54:610 191 541 Mu
-22:55:437 432 404 Md
-22:55:555 432 404 Mu
-22:56:540 65 444 Md
-22:56:573 65 444 Rd
-22:56:754 65 444 Ru
-22:56:794 65 444 Mu
-22:57:907 65 444 kRIGHT_ARROW
+ActiveTime:00:15:22
+DarkTime:00:21:55
+40:40:491 303 172 Ld
+40:40:616 303 172 Rd
+40:40:804 303 172 Ru
+40:40:820 303 172 Lu
+40:41:688 118 338 kLEFT_ARROW
Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/4.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/4.exp	(revision 1495)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/4.exp	(revision 1496)
@@ -1,8 +1,8 @@
-V 234
+V 241
 p 400
 U authadmin
 D 07Jan2019[14:34]
 M authadmin
-d 05Dec2019[12:08]
+d 05Dec2019[16:41]
 B 100 100 39 100
 Z
@@ -56,5 +56,5 @@
 s 29Apr2019[15:35.07]
 d 0 0 0 100
-P 299 170
+P 283 170
 T Regain Access to my Account
 o authadmin
@@ -73,5 +73,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 234 218
+P 175 211
 T 
 D txtUsername
@@ -79,5 +79,5 @@
 o authadmin
 v S
-f Amaranth_r29
+f Amaranth_r22
 t -1.0
 b 0.0
@@ -95,6 +95,6 @@
 G 100 100 0 100
 K 0 0 0 100
-P 574 219
-T   Get Identity Number
+P 515 212
+T         Get Identity Number
 X AuthDistributeIntergalacticNumber
 x F
@@ -103,9 +103,9 @@
 n F
 v S
-f dr29
-t -1.0
-b 0.0
-m 0.0
-w 300
+f dr22
+t -1.0
+b 0.0
+m 0.0
+w 250
 M 300
 h 1.0
@@ -133,4 +133,26 @@
 h 2.0
 
+S T 416
+s 29Apr2019[15:43.03]
+d 0 0 0 100
+G 100 100 100 100
+K 0 0 0 100
+P 175 261
+T 
+D txtIntergalacticNumber
+N 240
+o authadmin
+v S
+f Amaranth_r22
+t -1.0
+b 0.0
+m 0.0
+M 300
+h 1.0
+p 444
+_ph Identity Number
+_sl F
+_ti 3
+
 S T 515
 s 06May2019[11:02.37]
@@ -138,6 +160,6 @@
 G 100 100 0 100
 K 0 0 0 100
-P 574 267
-T  Submit Identity Number
+P 515 262
+T      Submit Identity Number
 X AuthSubmitIntergalacticNumber
 x F
@@ -146,5 +168,5 @@
 n F
 v S
-f dr27
+f dr22
 t -1.0
 b 0.0
@@ -157,26 +179,4 @@
 _ti 4
 _ae true
-
-S T 416
-s 29Apr2019[15:43.03]
-d 0 0 0 100
-G 100 100 100 100
-K 0 0 0 100
-P 234 268
-T 
-D txtIntergalacticNumber
-N 240
-o authadmin
-v S
-f Amaranth_r22
-t -1.0
-b 0.0
-m 0.0
-M 300
-h 1.0
-p 444
-_ph Identity Number
-_sl F
-_ti 3
 
 S P 382
@@ -209,5 +209,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 532 348
+P 515 341
 T 
 D txtPasswordPieceTwo
@@ -232,5 +232,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 192 348
+P 175 341
 T 
 D txtPasswordPieceOne
@@ -255,5 +255,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 532 408
+P 515 401
 T 
 D txtNewPasswordAgain
@@ -261,5 +261,5 @@
 o authadmin
 v S
-f Amaranth_r29
+f Amaranth_r22
 t -1.0
 O 42
@@ -279,5 +279,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 192 408
+P 175 401
 T 
 D txtNewPassword
@@ -285,5 +285,5 @@
 o authadmin
 v S
-f Amaranth_r29
+f Amaranth_r22
 t -1.0
 O 42
@@ -303,5 +303,5 @@
 G 100 100 0 100
 K 0 0 0 100
-P 327 459
+P 348 452
 T Regain Access To My Account
 X AuthRegainAccountAccess
@@ -311,5 +311,5 @@
 n F
 v S
-f dr29
+f dr22
 t -1.0
 b 0.0
@@ -326,5 +326,5 @@
 d 0 0 0 100
 G 100 0 0 100
-P 729 491
+P 726 491
 e 100 100 39 100
 o authadmin
@@ -338,5 +338,5 @@
 s 21May2019[13:09.09]
 d 0 0 0 100
-P 508 491
+P 505 491
 e 100 100 39 100
 o authadmin
@@ -350,5 +350,5 @@
 s 21May2019[13:17.21]
 d 0 0 0 100
-P 324 503
+P 321 503
 e 100 100 39 100
 o authadmin
@@ -362,5 +362,5 @@
 s 21May2019[13:17.21]
 d 0 0 0 100
-P 496 503
+P 493 503
 e 100 100 39 100
 o authadmin
@@ -374,5 +374,5 @@
 s 21May2019[13:09.09]
 d 0 0 0 100
-P 567 519
+P 564 519
 T Create Account
 F 2
@@ -391,5 +391,5 @@
 s 21May2019[13:09.09]
 d 0 0 0 50
-P 522 527
+P 519 527
 T 
 F 2
@@ -408,5 +408,5 @@
 s 21May2019[13:17.21]
 d 0 0 0 50
-P 452 549
+P 449 549
 T 
 X AuthGotoAccountManagement
@@ -425,5 +425,5 @@
 s 21May2019[13:17.21]
 d 0 0 0 50
-P 338 551
+P 335 551
 T 
 X Back
@@ -442,5 +442,5 @@
 s 21May2019[13:17.21]
 d 0 0 0 50
-P 389 551
+P 386 551
 T 
 X AuthGoToDesktop
@@ -459,5 +459,5 @@
 s 21May2019[13:09.09]
 d 0 0 0 100
-P 567 560
+P 564 560
 T Login To Expeditee
 F 1
@@ -476,5 +476,5 @@
 s 21May2019[13:09.09]
 d 0 0 0 50
-P 522 568
+P 519 568
 T 
 F 1
@@ -494,5 +494,5 @@
 d 0 0 0 100
 G 100 0 0 100
-P 324 568
+P 321 568
 e 100 100 39 100
 o authadmin
@@ -506,5 +506,5 @@
 s 21May2019[13:17.21]
 d 0 0 0 100
-P 496 568
+P 493 568
 e 100 100 39 100
 o authadmin
@@ -518,5 +518,5 @@
 s 21May2019[13:09.09]
 d 0 0 0 100
-P 508 582
+P 505 582
 e 100 100 39 100
 o authadmin
@@ -530,5 +530,5 @@
 s 21May2019[13:09.09]
 d 0 0 0 100
-P 729 582
+P 726 582
 e 100 100 39 100
 o authadmin
@@ -599,72 +599,9 @@
 Z
 
-ActiveTime:01:38:48
+ActiveTime:01:45:46
 DarkTime:02:33:57
-08:30:994 914 461 kSHIFT
-08:31:099 914 461 kS
-08:31:258 924 461 kI
-08:31:449 929 461 kE
-08:32:050 937 461 kBACKSPACE
-08:32:121 929 461 kZ
-08:32:230 937 461 kE
-08:32:392 945 461 kSHIFT
-08:34:369 972 461 Md
-08:34:464 972 461 Mu
-08:35:848 551 337 Rd
-08:35:976 551 337 Ru
-08:36:763 411 337 Rd
-08:36:832 411 337 Ru
-08:38:238 903 497 Md
-08:38:265 903 497 Rd
-08:38:424 903 497 Ru
-08:38:425 903 497 Mu
-08:39:514 776 489 kSHIFT
-08:39:626 776 489 kS
-08:39:842 786 489 kI
-08:39:904 791 489 kZ
-08:40:002 798 489 kE
-08:40:178 806 489 kSHIFT
-08:42:331 834 489 Md
-08:42:480 834 489 Mu
-08:43:608 255 348 Rd
-08:43:696 255 348 Ru
-08:50:290 45 524 kCTRL
-08:50:798 45 524 kCTRL
-08:50:826 45 524 kCTRL
-08:50:857 45 524 kCTRL
-08:50:887 45 524 kCTRL
-08:50:920 45 524 kCTRL
-08:50:954 45 524 kCTRL
-08:50:986 45 524 kCTRL
-08:51:030 45 524 kCTRL
-08:51:061 45 524 kCTRL
-08:51:092 45 524 kCTRL
-08:51:122 45 524 kCTRL
-08:51:151 45 524 kCTRL
-08:51:184 45 524 kCTRL
-08:51:224 45 524 kCTRL
-08:51:251 45 524 kCTRL
-08:51:297 45 524 kCTRL
-08:51:316 45 524 kCTRL
-08:51:358 45 524 kCTRL
-08:51:382 45 524 kCTRL
-08:51:415 45 524 kCTRL
-08:51:448 45 524 kCTRL
-08:51:484 45 524 kCTRL
-08:51:514 45 524 kCTRL
-08:51:561 45 524 kCTRL
-08:51:592 45 524 kCTRL
-08:51:623 45 524 kCTRL
-08:51:646 45 524 kCTRL
-08:51:679 45 524 kCTRL
-08:53:050 45 524 kSHIFT
-08:53:259 45 524 kS
-08:53:651 55 524 kI
-08:53:731 60 524 kZ
-08:53:834 68 524 kE
-08:53:978 76 524 kSHIFT
-08:56:052 103 524 Md
-08:56:200 103 524 Mu
-08:56:864 245 264 Rd
-08:56:936 245 264 Ru
-10:09:586 146 563 kRIGHT_ARROW
+42:00:297 1055 490 kCTRL
+42:00:798 1055 490 kCTRL
+42:00:845 1055 490 kCTRL
+42:00:876 1055 490 kCTRL
+42:00:891 1055 490 kS
Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/5.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/5.exp	(revision 1495)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/5.exp	(revision 1496)
@@ -1,8 +1,8 @@
-V 196
+V 197
 p 400
 U authadmin
 D 07Jan2019[14:34]
 M authadmin
-d 04Jul2019[13:23]
+d 05Dec2019[16:31]
 B 100 100 39 100
 Z
@@ -75,5 +75,5 @@
 o authadmin
 v S
-f Amaranth_r29
+f Amaranth_r22
 t -1.0
 b 0.0
@@ -121,5 +121,5 @@
 o authadmin
 v S
-f Amaranth_r29
+f Amaranth_r22
 t -1.0
 b 0.0
@@ -279,26 +279,17 @@
 Z
 
-ActiveTime:01:17:19
+ActiveTime:01:17:42
 DarkTime:01:04:09
-23:19:762 102 718 kSHIFT
-23:19:949 102 718 kE
-23:20:099 113 718 kN
-23:20:218 122 718 kT
-23:20:331 126 718 kE
-23:20:427 135 718 kR
-23:20:605 141 718 kSHIFT
-23:20:770 141 718 kC
-23:20:948 153 718 kL
-23:21:082 158 718 kI
-23:21:220 163 718 kC
-23:21:325 171 718 kK
-23:21:396 180 718 kSHIFT
-23:21:836 189 718 kT
-23:21:996 194 718 kR
-23:22:077 200 718 kU
-23:22:180 209 718 kE
-23:23:646 205 714 Md
-23:23:738 205 714 Mu
-23:24:548 434 402 Md
-23:24:634 434 402 Mu
-23:26:428 479 628 kRIGHT_ARROW
+31:44:112 885 289 Rd
+31:44:180 885 289 Ru
+31:45:010 908 296 Rd
+31:45:136 908 296 Ru
+31:45:855 508 289 Rd
+31:45:933 508 289 Ru
+31:46:732 857 292 Rd
+31:46:810 857 292 Ru
+31:47:421 515 339 Rd
+31:47:499 515 339 Ru
+33:55:270 884 294 Md
+33:55:364 884 294 Mu
+33:56:692 851 340 kRIGHT_ARROW
Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/6.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/6.exp	(revision 1495)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/6.exp	(revision 1496)
@@ -1,8 +1,8 @@
-V 837
+V 839
 p 400
 U authadmin
 D 23Nov2018[12:31]
 M authadmin
-d 04Jul2019[13:23]
+d 05Dec2019[16:34]
 B 100 100 39 100
 Z
@@ -173,5 +173,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 350 287
+P 350 281
 T bln4
 x F
@@ -181,5 +181,5 @@
 n F
 v S
-f Amaranth_r28
+f Amaranth_r22
 t -1.0
 b 0.0
@@ -197,5 +197,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 350 347
+P 350 341
 T 
 x F
@@ -205,5 +205,5 @@
 n F
 v S
-f Amaranth_r28
+f Amaranth_r22
 t -1.0
 O 42
@@ -569,34 +569,7 @@
 Z
 
-ActiveTime:19857915:44:18
-DarkTime:-19847087:-39:-16
-23:29:005 178 694 kSHIFT
-23:29:109 178 694 kE
-23:29:362 189 694 kN
-23:29:441 198 694 kT
-23:29:506 203 694 kE
-23:29:580 211 694 kR
-23:29:763 217 694 kSHIFT
-23:29:906 217 694 kC
-23:30:140 228 694 kL
-23:30:299 234 694 kI
-23:30:403 239 694 kC
-23:30:516 247 694 kK
-23:30:603 256 694 kSHIFT
-23:31:476 265 694 kT
-23:31:652 270 694 kR
-23:31:732 276 694 kU
-23:31:811 285 694 kE
-23:32:950 293 694 Md
-23:33:066 293 694 Mu
-23:33:738 432 403 Md
-23:33:850 432 403 Mu
-23:36:710 481 410 Ld
-23:36:773 481 410 Rd
-23:36:931 481 410 Lu
-23:36:931 481 410 Ru
-23:37:750 338 458 Md
-23:37:836 338 458 Rd
-23:38:002 338 458 Ru
-23:38:042 338 458 Mu
-23:39:396 175 714 kRIGHT_ARROW
+ActiveTime:19857915:44:32
+DarkTime:-19846775:-37:-8
+34:06:106 853 292 Md
+34:06:200 853 292 Mu
+34:06:616 902 309 kLEFT_ARROW
Index: trunk/src/org/expeditee/io/ExpReader.java
===================================================================
--- trunk/src/org/expeditee/io/ExpReader.java	(revision 1495)
+++ trunk/src/org/expeditee/io/ExpReader.java	(revision 1496)
@@ -425,4 +425,5 @@
 			reader.close();
 		} catch (Exception e) {
+			e.printStackTrace();
 		}
 		return -1;
@@ -442,4 +443,5 @@
 			reader.close();
 		} catch (Exception e) {
+			e.printStackTrace();
 		}
 		return null;